#include <afxwin.h>
#include <HtmlHelp.h>
#include "resource.h"
#include "help/topics.h"

CString szHelp = TEXT("help\\test.chm");

static DWORD myarray[] = {
   ID_MYHELP, IDH_A1,
   IDCANCEL,  IDH_A2,
   0,0
};

class CMyDlg: public CDialog
{
public:
	CMyDlg(): CDialog(IDD_MAIN){}
	DECLARE_MESSAGE_MAP()
	void OnMyHelp()
	{
		if(!::HtmlHelp(NULL, szHelp + TEXT("::/a3.htm"), HH_DISPLAY_TOPIC, 0))
			AfxMessageBox(TEXT("Failed"));
	}

    BOOL CMyDlg::OnHelpInfo(HELPINFO* pHelpInfo) 
    {
       if (pHelpInfo->iContextType == HELPINFO_WINDOW)
       {
          	return ::HtmlHelp(
             	(HWND)pHelpInfo->hItemHandle,
             	szHelp + TEXT("::/topics.txt"),
             	HH_TP_HELP_WM_HELP,
            	 (DWORD)(LPVOID)myarray) 
        	     != NULL;
    	}
    	return TRUE;
    }
};

BEGIN_MESSAGE_MAP(CMyDlg, CDialog)
	ON_COMMAND(ID_MYHELP, OnMyHelp)
	ON_WM_HELPINFO()
END_MESSAGE_MAP()

class CMyApp: public CWinApp
{
	BOOL InitInstance()
	{
		CMyDlg dlg;
		m_pMainWnd = &dlg;
		dlg.DoModal();
		return FALSE;
	}
};

CMyApp theApp;